Bug 1886822 - License differs from actual
Summary: License differs from actual
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gamin
Version: 8.6
Hardware: All
OS: All
unspecified
urgent
Target Milestone: rc
: 8.0
Assignee: Ondrej Holy
QA Contact: Tomas Pelka
URL: https://src.fedoraproject.org/rpms/ga...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-09 13:19 UTC by Mikko Kortelainen
Modified: 2021-05-18 14:39 UTC (History)
3 users (show)

Fixed In Version: gamin-0.1.10-32.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-18 14:38:50 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Mikko Kortelainen 2020-10-09 13:19:44 UTC
Description of problem:
gamin/server/inotify-kernel.h and gamin/server/inotify-kernel.c clearly state that the code is GPLv2, however rpm packaging states that the library is LGPLv2

Version-Release number of selected component (if applicable):
0.1.9

How reproducible:


Steps to Reproduce:
1. Read the file
2. View the licensing information
3. Check package licensing information

Actual results:
/*
        Copyright (C) 2006 John McCutchan <john@johnmccutchan.com>

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; version 2.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License version 2 for more details.
        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software Foundation,
        Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/


Expected results:
/*
 * Copyrights et cetera
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


Additional info:

Comment 1 Ondrej Holy 2020-10-12 10:01:17 UTC
The COPYING file says that gamin is LGPL: https://gitlab.gnome.org/Archive/gamin/-/blob/master/COPYING. These codes were imported from gnome-vfs: https://gitlab.gnome.org/Archive/gamin/-/commit/212f3b4ea110d5e788dad57c59f8d91e3e75a22d, where they were initially licensed as GPL for some reason. However, they were relicensed to LGPL just one month later after this import: https://gitlab.gnome.org/Archive/gnome-vfs/-/commit/492955753e62071295adce824a2f0cf92d6f831e. So I suppose that this is just a bug and the codes should be relicensed in gamin as well. This is seemingly a known issue as per the comment in the Fedora spec file: https://src.fedoraproject.org/rpms/gamin/c/66ab86d34aa95b53f10179c0c92f7631b095b0c2. However, the problem is that gamin is dead upstream, thus the codes can't be changed there. So I am not sure what is the right solution at this point. I don't want to change the Licence field in the spec file as it is clearly a bug in source codes, however, fixing the source codes downstream also doesn't sound like a good idea to me...

Comment 4 Ondrej Holy 2020-11-03 08:20:19 UTC
Let's add a comment into the spec file with facts from comment 1. I am going to prepare that change for Fedora first.

Comment 9 errata-xmlrpc 2021-05-18 14:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1586


Note You need to log in before you can comment on or make changes to this bug.